Runtime

## org.eclipse.gmf.runtime.notation
Interface PageStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  DiagramStyle

All Known Implementing Classes:
  DiagramStyleImpl, PageStyleImpl

    public interface PageStyle

extends Style

A representation of the model object 'Page Style'.

The page style is a style to be installed on multi-page diagrams

The following features are supported:

- `Page X`
- `Page Y`
- `Page Width`
- `Page Height`

See Also:
  `NotationPackage.getPageStyle()`
** Generated **
Model:

Method Summary
`int` `getPageHeight()` Returns the value of the 'Page Height' attribute.
`int` `getPageWidth()` Returns the value of the 'Page Width' attribute.
`int` `getPageX()` Returns the value of the 'Page X' attribute.
`int` `getPageY()` Returns the value of the 'Page Y' attribute.
`void` `setPageHeight(int value)` Sets the value of the '`Page Height`' attribute
`void` `setPageWidth(int value)` Sets the value of the '`Page Width`' attribute
`void` `setPageX(int value)` Sets the value of the '`Page X`' attribute
`void` `setPageY(int value)` Sets the value of the '`Page Y`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPageX

    int getPageX()

  Returns the value of the 'Page X' attribute. The default value is `"0"`.

  This is the x-origin of the page.

  Returns:
    the value of the 'Page X' attribute.
  See Also:
    `setPageX(int)`, `NotationPackage.getPageStyle_PageX()`
  ** Generated **
  Model:
    default="0"

### setPageX

    void setPageX(int value)

  Sets the value of the '`Page X`' attribute.

  This is the x-origin of the page.

  Parameters:
    `value` - the new value of the 'Page X' attribute.
  See Also:
    `getPageX()`
  ** Generated **

### getPageY

    int getPageY()

  Returns the value of the 'Page Y' attribute. The default value is `"0"`.

  This is the y-origin of the page.

  Returns:
    the value of the 'Page Y' attribute.
  See Also:
    `setPageY(int)`, `NotationPackage.getPageStyle_PageY()`
  ** Generated **
  Model:
    default="0"

### setPageY

    void setPageY(int value)

  Sets the value of the '`Page Y`' attribute.

  This is the x-origin of the page.

  Parameters:
    `value` - the new value of the 'Page Y' attribute.
  See Also:
    `getPageY()`
  ** Generated **

### getPageWidth

    int getPageWidth()

  Returns the value of the 'Page Width' attribute. The default value is `"100"`.

  This is the width of the page.

  Returns:
    the value of the 'Page Width' attribute.
  See Also:
    `setPageWidth(int)`, `NotationPackage.getPageStyle_PageWidth()`
  ** Generated **
  Model:
    default="100"

### setPageWidth

    void setPageWidth(int value)

  Sets the value of the '`Page Width`' attribute.

  This is the width of the page.

  Parameters:
    `value` - the new value of the 'Page Width' attribute.
  See Also:
    `getPageWidth()`
  ** Generated **

### getPageHeight

    int getPageHeight()

  Returns the value of the 'Page Height' attribute. The default value is `"100"`.

  This is the height of the page.

  Returns:
    the value of the 'Page Height' attribute.
  See Also:
    `setPageHeight(int)`, `NotationPackage.getPageStyle_PageHeight()`
  ** Generated **
  Model:
    default="100"

### setPageHeight

    void setPageHeight(int value)

  Sets the value of the '`Page Height`' attribute.

  This is the height of the page.

  Parameters:
    `value` - the new value of the 'Page Height' attribute.
  See Also:
    `getPageHeight()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.